System.ServiceModel 4.0.0.0 System.IdentityModel.Selectors.SecurityTokenResolver System.ServiceModel.Security.Tokens.ISecurityContextSecurityTokenCache To be added.

Resolves security context tokens.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  If is false, AddContext throws a if the cache capacity has been reached.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Adds a security context security token to the token cache.

- Method
  4.0.0.0
  System.Void To be added.

  Clears the token cache of content.

- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Security.Tokens.SecurityContextSecurityToken> `` To be added. To be added.

  Gets a collection of security context security token IDs that match a specified context ID.

  A generic collection of security context tokens.

- Method
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityContextSecurityToken `` `` To be added. To be added. To be added.

  Gets the security context security token ID that matches a specified context ID and generation.

  The matching security context token.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Removes all tokens from the cache that match a given context ID.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Removes the token from the cache that matches a given context ID and generation.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the oldest tokens should be removed when the cache is full.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the security context token cache size.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Attempts to add a token to the cache.

  true if the token was added successfully to the cache; otherwise, false.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Updates the expiration date for a token in the cache.